# swagger-client
The Resume Parser extracts important information of a candidate such as candidate's name, contact information, email id, education, work experience, and skills, etc. from the resume using Deep learning models.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.ResumeParsingApi(swagger_client.ApiClient(configuration))
file = 'file_example' # str | 
authorization = 'authorization_example' # str | 

try:
    # File Upload
    api_response = api_instance.parse_by_file(file, authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ResumeParsingApi->parse_by_file: %s\n" % e)

# create an instance of the API class
api_instance = swagger_client.ResumeParsingApi(swagger_client.ApiClient(configuration))
body = swagger_client.ResumeRequest() # ResumeRequest | 
authorization = 'authorization_example' # str | 

try:
    # Base64 Parsing
    api_response = api_instance.parse_by_stream(body, authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ResumeParsingApi->parse_by_stream: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api-qa.phenompro.com/parser/resume*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ResumeParsingApi* | [**parse_by_file**](docs/ResumeParsingApi.md#parse_by_file) | **POST** /v1/parse/file | File Upload
*ResumeParsingApi* | [**parse_by_stream**](docs/ResumeParsingApi.md#parse_by_stream) | **POST** /v1/parse | Base64 Parsing

## Documentation For Models

 - [ErrorResponse](docs/ErrorResponse.md)
 - [ErrorResponseErrors](docs/ErrorResponseErrors.md)
 - [ResumeFileRequest](docs/ResumeFileRequest.md)
 - [ResumeRequest](docs/ResumeRequest.md)
 - [ResumeResponse](docs/ResumeResponse.md)
 - [ResumeResponseData](docs/ResumeResponseData.md)
 - [ResumeResponseDataResumedata](docs/ResumeResponseDataResumedata.md)
 - [ResumeResponseDataResumedataEducationhisory](docs/ResumeResponseDataResumedataEducationhisory.md)
 - [ResumeResponseDataResumedataExperiencesummary](docs/ResumeResponseDataResumedataExperiencesummary.md)
 - [ResumeResponseDataResumedataInternetaddress](docs/ResumeResponseDataResumedataInternetaddress.md)
 - [ResumeResponseDataResumedataMobile](docs/ResumeResponseDataResumedataMobile.md)
 - [ResumeResponseDataResumedataPersonname](docs/ResumeResponseDataResumedataPersonname.md)
 - [ResumeResponseDataResumedataPostaladdress](docs/ResumeResponseDataResumedataPostaladdress.md)
 - [ResumeResponseDataResumedataSkilltaxonomy](docs/ResumeResponseDataResumedataSkilltaxonomy.md)
 - [ResumeResponseDataResumedataWorkhistory](docs/ResumeResponseDataResumedataWorkhistory.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author


